; Akeeba Upload to S3 post processing engine
; Copyright (c)2006-2015 Nicholas K. Dionysopoulos
; Version $Id$

; Engine information
[_information]
title=ENGINE_POSTPROC_S3_TITLE
description=ENGINE_POSTPROC_S3_DESCRIPTION

; Post-process after generating each part?
[engine.postproc.common.after_part]
default=0
type=bool
title=CONFIG_POSTPROCPARTS_TITLE
description=CONFIG_POSTPROCPARTS_DESCRIPTION

; Delete from server after processing?
[engine.postproc.common.delete_after]
default=1
type=bool
title=CONFIG_DELETEAFTER_TITLE
description=CONFIG_DELETEAFTER_DESCRIPTION

; Amazon S3 Access key
[engine.postproc.amazons3.accesskey]
default=""
type=string
title=CONFIG_S3ACCESSKEY_TITLE
description=CONFIG_S3ACCESSKEY_DESCRIPTION

; Amazon S3 Secret key
[engine.postproc.amazons3.secretkey]
default=""
type=password
title=CONFIG_S3SECRETKEY_TITLE
description=CONFIG_S3SECRETKEY_DESCRIPTION

; Amazon S3 use SSL
[engine.postproc.amazons3.usessl]
default=1
type=bool
title=CONFIG_S3USESSL_TITLE
description=CONFIG_S3USESSL_DESCRIPTION

; Amazon S3 Bucket Name
[engine.postproc.amazons3.bucket]
default=""
type=string
title=CONFIG_S3BUCKET_TITLE
description=CONFIG_S3BUCKET_DESCRIPTION

; Amazon S3 region
[engine.postproc.amazons3.region]
default="us-east-1"
type=enum
enumkeys = "COM_AKEEBA_S3_REGION_NONE|COM_AKEEBA_S3_REGION_USEAST1|COM_AKEEBA_S3_REGION_USEAST2|COM_AKEEBA_S3_REGION_USWEST2|COM_AKEEBA_S3_REGION_USWEST1|COM_AKEEBA_S3_REGION_EUWEST1|COM_AKEEBA_S3_REGION_EUWEST2|COM_AKEEBA_S3_REGION_EUCENTRAL1|COM_AKEEBA_S3_REGION_EUCENTRAL2|COM_AKEEBA_S3_REGION_APSE1|COM_AKEEBA_S3_REGION_APSE2|COM_AKEEBA_S3_REGION_APNE1|COM_AKEEBA_S3_REGION_APNE2|COM_AKEEBA_S3_REGION_SAEAST1|COM_AKEEBA_S3_REGION_SAEAST2|COM_AKEEBA_S3_REGION_SAWEST1|COM_AKEEBA_S3_REGION_SAWEST2"
enumvalues = "|us-east-1|us-east-2|us-west-2|us-west-1|eu-west-1|eu-west-2|eu-central-1|eu-central-2|ap-southeast-1|ap-southeast-2|ap-northeast-1|ap-northeast-2|sa-east-1|sa-east-2|sa-west-1|sa-west-2"
title=COM_AKEEBA_S3_REGION_TITLE
description=COM_AKEEBA_S3_REGION_DESCRIPTION

; Amazon S3 signature method
[engine.postproc.amazons3.signature]
default="v4"
type=enum
enumkeys = "COM_AKEEBA_S3_SIGNATURE_V4|COM_AKEEBA_S3_SIGNATURE_V2"
enumvalues = "v4|s3"
title=COM_AKEEBA_S3_SIGNATURE_TITLE
description=COM_AKEEBA_S3_SIGNATURE_DESCRIPTION

; Amazon S3 Directory name
[engine.postproc.amazons3.directory]
default="/"
type=string
title=CONFIG_S3DIRECTORY_TITLE
description=CONFIG_S3DIRECTORY_DESCRIPTION

; Disable multipart uploads
[engine.postproc.amazons3.legacy]
default=0
type=bool
title=CONFIG_S3LEGACY_TITLE
description=CONFIG_S3LEGACY_DESCRIPTION

[engine.postproc.amazons3.rrs]
default=0
type=bool
title=CONFIG_S3RRS_TITLE
description=CONFIG_S3RRS_DESCRIPTION

[engine.postproc.amazons3.customendpoint]
default=""
type=string
title=CONFIG_S3CUSTOMENDPOINT_TITLE
description=CONFIG_S3CUSTOMENDPOINT_DESCRIPTION